<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (12.0.2) on Sun May 03 22:01:10 EEST 2020 -->
<title>A-Index</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-05-03">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
<script type="text/javascript" src="../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../jquery/jquery-3.3.1.js"></script>
<script type="text/javascript" src="../jquery/jquery-migrate-3.0.1.js"></script>
<script type="text/javascript" src="../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="A-Index";
        }
    }
    catch(err) {
    }
//-->
var pathtoroot = "../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
</div>
<a id="skip.navbar.top">
<!--   -->
</a>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<main role="main">
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">I</a>&nbsp;<a href="index-9.html">L</a>&nbsp;<a href="index-10.html">M</a>&nbsp;<a href="index-11.html">O</a>&nbsp;<a href="index-12.html">R</a>&nbsp;<a href="index-13.html">S</a>&nbsp;<a href="index-14.html">U</a>&nbsp;<a href="index-15.html">W</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes</a>&nbsp;<a href="../allpackages-index.html">All&nbsp;Packages</a><a id="I:A">
<!--   -->
</a>
<h2 class="title">A</h2>
<dl>
<dt><span class="memberNameLink"><a href="../GUI/AdministratorGUI.ButtonListener.html#actionPerformed(java.awt.event.ActionEvent)">actionPerformed(ActionEvent)</a></span> - Method in class GUI.<a href="../GUI/AdministratorGUI.ButtonListener.html" title="class in GUI">AdministratorGUI.ButtonListener</a></dt>
<dd>
<div class="block">butonul de back: fereastra administratorului dispare, iar cea principala apare</div>
</dd>
<dt><span class="memberNameLink"><a href="../GUI/AdministratorGUI.ButtonListener2.html#actionPerformed(java.awt.event.ActionEvent)">actionPerformed(ActionEvent)</a></span> - Method in class GUI.<a href="../GUI/AdministratorGUI.ButtonListener2.html" title="class in GUI">AdministratorGUI.ButtonListener2</a></dt>
<dd>
<div class="block">in functie de comanda ceruta de administrator(c), se executa algoritmii necesari.</div>
</dd>
<dt><span class="memberNameLink"><a href="../GUI/ChefGUI.ButtonListener.html#actionPerformed(java.awt.event.ActionEvent)">actionPerformed(ActionEvent)</a></span> - Method in class GUI.<a href="../GUI/ChefGUI.ButtonListener.html" title="class in GUI">ChefGUI.ButtonListener</a></dt>
<dd>
<div class="block">butonul back face ca interfata Chef sa se ichida si sa apara ce principala</div>
</dd>
<dt><span class="memberNameLink"><a href="../GUI/MainGUI.ButtonListener.html#actionPerformed(java.awt.event.ActionEvent)">actionPerformed(ActionEvent)</a></span> - Method in class GUI.<a href="../GUI/MainGUI.ButtonListener.html" title="class in GUI">MainGUI.ButtonListener</a></dt>
<dd>
<div class="block">in functie de butoul apasat, o anumita interfata va deveni vizibila, iar cea principala va disparea</div>
</dd>
<dt><span class="memberNameLink"><a href="../GUI/WaiterGUI.ButtonListener.html#actionPerformed(java.awt.event.ActionEvent)">actionPerformed(ActionEvent)</a></span> - Method in class GUI.<a href="../GUI/WaiterGUI.ButtonListener.html" title="class in GUI">WaiterGUI.ButtonListener</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../GUI/WaiterGUI.ButtonListener2.html#actionPerformed(java.awt.event.ActionEvent)">actionPerformed(ActionEvent)</a></span> - Method in class GUI.<a href="../GUI/WaiterGUI.ButtonListener2.html" title="class in GUI">WaiterGUI.ButtonListener2</a></dt>
<dd>
<div class="block">in functie de butonulapasat, se executa un algoritm.</div>
</dd>
<dt><span class="memberNameLink"><a href="../businessLayer/Restaurant.html#addMap(businessLayer.Order,java.util.ArrayList)">addMap(Order, ArrayList&lt;MenuItem&gt;)</a></span> - Method in class businessLayer.<a href="../businessLayer/Restaurant.html" title="class in businessLayer">Restaurant</a></dt>
<dd>
<div class="block">Se adauga in HashMap o comanda noua.</div>
</dd>
<dt><span class="memberNameLink"><a href="../GUI/WaiterGUI.html#addMenuItem()">addMenuItem()</a></span> - Method in class GUI.<a href="../GUI/WaiterGUI.html" title="class in GUI">WaiterGUI</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../businessLayer/IRestaurantProcessing.html#addMenuItem(businessLayer.MenuItem)">addMenuItem(MenuItem)</a></span> - Method in interface businessLayer.<a href="../businessLayer/IRestaurantProcessing.html" title="interface in businessLayer">IRestaurantProcessing</a></dt>
<dd>
<div class="block">Adaugare produs nou</div>
</dd>
<dt><span class="memberNameLink"><a href="../businessLayer/Restaurant.html#addMenuItem(businessLayer.MenuItem)">addMenuItem(MenuItem)</a></span> - Method in class businessLayer.<a href="../businessLayer/Restaurant.html" title="class in businessLayer">Restaurant</a></dt>
<dd>
<div class="block">Se adauga un produs nou</div>
</dd>
<dt><span class="memberNameLink"><a href="../GUI/AdministratorGUI.html#addMenuItem(businessLayer.MenuItem)">addMenuItem(MenuItem)</a></span> - Method in class GUI.<a href="../GUI/AdministratorGUI.html" title="class in GUI">AdministratorGUI</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../GUI/WaiterGUI.html#addMenuItem(businessLayer.MenuItem)">addMenuItem(MenuItem)</a></span> - Method in class GUI.<a href="../GUI/WaiterGUI.html" title="class in GUI">WaiterGUI</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../GUI/AdministratorGUI.html#addNewOrder()">addNewOrder()</a></span> - Method in class GUI.<a href="../GUI/AdministratorGUI.html" title="class in GUI">AdministratorGUI</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../GUI/WaiterGUI.html#addNewOrder()">addNewOrder()</a></span> - Method in class GUI.<a href="../GUI/WaiterGUI.html" title="class in GUI">WaiterGUI</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../businessLayer/IRestaurantProcessing.html#addNewOrder(businessLayer.Order)">addNewOrder(Order)</a></span> - Method in interface businessLayer.<a href="../businessLayer/IRestaurantProcessing.html" title="interface in businessLayer">IRestaurantProcessing</a></dt>
<dd>
<div class="block">Adaugare comanda</div>
</dd>
<dt><span class="memberNameLink"><a href="../businessLayer/Restaurant.html#addNewOrder(businessLayer.Order)">addNewOrder(Order)</a></span> - Method in class businessLayer.<a href="../businessLayer/Restaurant.html" title="class in businessLayer">Restaurant</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../GUI/AdministratorGUI.html#addNewOrder(businessLayer.Order)">addNewOrder(Order)</a></span> - Method in class GUI.<a href="../GUI/AdministratorGUI.html" title="class in GUI">AdministratorGUI</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../GUI/WaiterGUI.html#addNewOrder(businessLayer.Order)">addNewOrder(Order)</a></span> - Method in class GUI.<a href="../GUI/WaiterGUI.html" title="class in GUI">WaiterGUI</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../GUI/AdministratorGUI.html" title="class in GUI"><span class="typeNameLink">AdministratorGUI</span></a> - Class in <a href="../GUI/package-summary.html">GUI</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../GUI/AdministratorGUI.html#%3Cinit%3E(javax.swing.JFrame,businessLayer.Restaurant)">AdministratorGUI(JFrame, Restaurant)</a></span> - Constructor for class GUI.<a href="../GUI/AdministratorGUI.html" title="class in GUI">AdministratorGUI</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../GUI/AdministratorGUI.ButtonListener.html" title="class in GUI"><span class="typeNameLink">AdministratorGUI.ButtonListener</span></a> - Class in <a href="../GUI/package-summary.html">GUI</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../GUI/AdministratorGUI.ButtonListener2.html" title="class in GUI"><span class="typeNameLink">AdministratorGUI.ButtonListener2</span></a> - Class in <a href="../GUI/package-summary.html">GUI</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../Tema4/T4/App.html" title="class in Tema4.T4"><span class="typeNameLink">App</span></a> - Class in <a href="../Tema4/T4/package-summary.html">Tema4.T4</a></dt>
<dd>
<div class="block">Hello world!</div>
</dd>
<dt><span class="memberNameLink"><a href="../Tema4/T4/App.html#%3Cinit%3E()">App()</a></span> - Constructor for class Tema4.T4.<a href="../Tema4/T4/App.html" title="class in Tema4.T4">App</a></dt>
<dd>&nbsp;</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">I</a>&nbsp;<a href="index-9.html">L</a>&nbsp;<a href="index-10.html">M</a>&nbsp;<a href="index-11.html">O</a>&nbsp;<a href="index-12.html">R</a>&nbsp;<a href="index-13.html">S</a>&nbsp;<a href="index-14.html">U</a>&nbsp;<a href="index-15.html">W</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes</a>&nbsp;<a href="../allpackages-index.html">All&nbsp;Packages</a></div>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
